def fréquence_lettre():

    phrase=input("Saisissez une phrase sans accent, ne comportant que des lettres minuscules :")
    longueur=len(phrase)    #la fonction "len()" donne la longueur d'une chaîne de caractères
    lettre=input("Quelle lettre voulez-vous compter ?")
    espace=chr(32)          #l'instruction "chr(32)" renvoie le caractère "espace" (code ASCII)
    nombre=0

    #compte le nombre d'apparitions de la lettre choisie
    for i in range(longueur):
        if phrase[i]==lettre:
            nombre=............     #incrémente la variable "nombre" de 1 à chaque fois que l'on rencontre la lettre choisie
    print("Il y a",nombre,"fois la lettre '",lettre,"' dans la phrase : '",phrase,"'")

    #compte le nombre de lettres de la phrase qui ne sont pas des espaces
    for i in range(longueur):
        if phrase[i]==espace:       #compare chaque lettre de la phrase au caractère "espace"
            longueur=longueur-1
    print("Votre phrase comporte",longueur,"lettres (sans compter les espaces).")

    print("La fréquence d'apparition de la lettre '",lettre,"' dans votre phrase est :",..............................)

fréquence_lettre()




